"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initProject = initProject;
const tslib_1 = require("tslib");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const path_1 = require("path");
const coerce_git_ignore_1 = require("../../lib/coerce-git-ignore");
const coerce_typedoc_ts_config_1 = require("../../lib/coerce-typedoc-ts-config");
function initProject(tree, projectName, project, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log(`init typedoc application project: ${projectName}`);
        (0, coerce_typedoc_ts_config_1.CoerceTypedocTsConfig)(tree, projectName);
        (0, coerce_git_ignore_1.CoerceGitIgnore)(tree, projectName);
        if ((0, workspace_utilities_1.isJetbrainsProject)(tree)) {
            yield (0, workspace_utilities_1.coerceIdeaExcludeFolders)(tree, [
                (0, path_1.join)(project.root, 'compodoc'),
            ]);
        }
    });
}
//# sourceMappingURL=init-project.js.map